org.red5.server.plugin

## Class PluginLauncher

- java.lang.Object
- - org.red5.server.plugin.PluginLauncher

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

    public class PluginLauncher
    extends Object
    implements org.springframework.context.ApplicationContextAware, org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.DisposableBean

Creates the plug-in environment and cleans up on shutdown.

Author:
  Paul Gregoire (mondain@gmail.com)

### Field Summary

Fields
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`PluginLauncher()`

### Method Summary

Methods
`void` `afterPropertiesSet()`
`void` `destroy()`
`void` `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

### Constructor Detail

#### PluginLauncher

    public PluginLauncher()

### Method Detail

#### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Throws:
  `Exception`

#### destroy

    public void destroy()
                 throws Exception

Specified by:
  `destroy` in interface `org.springframework.beans.factory.DisposableBean`
Throws:
  `Exception`

#### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

Specified by:
  `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
Throws:
  `org.springframework.beans.BeansException`